FLS WEMCO II, nextSTEP, mixedROW and RFC Flotation Equipment

First distinguish self-aspirating, forced-air, combined-circuit, column, REFLUX and coarse-particle designs. Then identify the appropriate wet-end wear parts, drive spares, materials and drawing for quotation.

Official FLS WEMCO II self-aspirating flotation cell image
Official FLS WEMCO II self-aspirating cell image. The rotor is in the upper tank, and the wet-end design differs from nextSTEP.
Official FLS nextSTEP forced-air flotation cell image
Official FLS nextSTEP forced-air cell image. The rotor/stator is at the tank bottom, with air supplied by an external blower system.
Official FLS REFLUX RFC2000 flotation equipment image
Official FLS REFLUX RFC2000 image. Its aeration, inclined channels and pressure design cannot use mechanical-cell spares by analogy.
OEM equipment guide

Equipment Series, Applicable Parts and Materials on One Page

FLS flotation products include fundamentally different designs. This page covers current series, published size ranges, core wet-end and drive parts, material selection, drawing checks and quotation requirements, with the applicability of each part stated.

7Current Series / Specification Entries
7Wet-End Wear Parts
4Core Spare Categories
8OEM References
Current Series and Key Dimensions

Identify the Design Before the Part

Published dimensions identify the product range only. Actual spares require the full series, cell volume, serial number, drawing, P&ID, general arrangement and current drawing revision.

Series / ModelDesignPublished RangeKey Spare-Part Identification Areas
WEMCO IISelf-aspirating mechanical flotationWEMCO II square cells, WEMCO II RT round cells, WEMCO II Inert GasRotors, dispersers, disperser hoods, false bottoms, draft tubes/standpipes and drive assemblies; verify all three designs separately against installation records.
nextSTEPForced-air mechanical flotationRectangular-cell effective volume 1.7–2.8 m³; round-cell effective volume 5–600 m³nextSTEP rotors/stators, stator base plates, rotor drive shafts, BHSA, pulleys, froth and level-control parts
mixedROWCombined nextSTEP and WEMCO circuitFor cells of 5–660 m³Two mechanical designs coexist in one row; distinguish WEMCO and nextSTEP wet ends by the specific cell position.
FLS ColumnColumn flotationCross-sectional area 0.79–28.27 m²; operating volume 2.5–472.5 m³External Venturi aeration, recirculation pumps, injectors, tanks and froth launders; no mechanical rotor/stator.
RFC300 / RFC500REFLUX Flotation CellDiameter 300 / 500 mm; total feed slurry 5–13 / 14–35 m³/hPre-contact aerators, inclined channels, fluidisation water, pressure chambers and valves; WEMCO/nextSTEP parts do not apply.
RFC SeriesREFLUX Flotation CellThe published selector lists RFC300, 500, 850, 1400, 1750, 2000, 2350, 2750, 3000 and 3600.Confirm project dimensions, flow rates and spares by full model, serial number, P&ID and drawing revision.
coarseAIRCoarse-particle flotationcA-100 (test scale); cA-850 (industrial scale), published diameters 100 / 850 mmNo conventional internal mechanical rotor; spares focus on aeration, piping, valves, tanks and module interfaces.
RFC300 / RFC500 flow rates are comparison values published on current FLS pages. Verify other RFC models and all project configurations against current OEM records and installation drawings before manufacture.
FLS

Component Location Diagram

The numbers on the diagram correspond one to one with the rows below.

FLS Flotation Equipment – Component Location Diagram
No.ComponentLocationApplies to
1ShaftCentral vertical shaft in the cellnextSTEP forced-air flotation
2RotorLower end of the shaftnextSTEP forced-air flotation
3StatorAround the rotornextSTEP forced-air flotation
Wear parts

Distinguish Wet-End Parts by WEMCO, nextSTEP and Cell Position

Names alone do not establish interchangeability of rotors, dispersers/stators, hoods, false bottoms, draft tubes or valves. Each card states the applicable design before linking to component and material pages.

Rotor / Impeller — design and position in FLS flotation equipment
01

Rotor / Impeller

Rotor / Impeller

WEMCO II self-aspirating and nextSTEP forced-air rotors are core wet-end parts but differ in height, air path, profile and mating parts; they are not interchangeable. Check series, volume, rotation, diameter, holes, shaft connection and actual wear profile.

View the Component Page →
Stator / Disperser — design and position in FLS flotation equipment
02

Stator / Disperser

Stator / Disperser

nextSTEP uses a matched stator; WEMCO II uses a disperser. Their functions, designs and positions differ. Check series, volume, blade/window profiles, base holes, clearances, rotation and rotor pairing references.

View the Component Page →
Disperser Hood / Rotor Hood — design and position in FLS flotation equipment
03

Disperser Hood / Rotor Hood

Disperser Hood / Rotor Cover

Primarily for WEMCO self-aspirating designs, forming air/slurry circulation paths and protecting the wet end. Check WEMCO generation, volume, hood profile, windows, flanges, supports and disperser/rotor clearances.

View the Component Page →
False-Bottom Liners / Assemblies — design and position in FLS flotation equipment
04

False-Bottom Liners / Assemblies

False Bottom Liner / False Floor

Primarily for WEMCO self-aspirating cells, directing bottom slurry recirculation and protecting the floor. Check tank form, segmentation, thickness, holes, overlaps, flow boundaries and draft-tube clearances.

View the Component Page →
Draft Tube / Standpipe Linings — design and position in FLS flotation equipment
05

Draft Tube / Standpipe Linings

Draft Tube / Standpipe Liner

Primarily for WEMCO self-aspirating designs, linking the false-bottom area to the upper rotor circulation path. Check diameter, length, flanges, supports, lining thickness, concentricity, rotor clearance and tank interfaces.

View the Component Page →
Spare parts

Drive Shafts, Hubs, BHSA and Froth Skimmers

Drive and load-bearing parts require checks of interface accuracy, rotation, speed, air passages, bearings and seals together with the corresponding mechanical design and cell volume.

FAQ

Frequently asked questions

Are WEMCO II and nextSTEP rotors, dispersers or stators interchangeable?

No. Air supply, rotor position and profile, matching disperser/stator, base plates and clearances differ. Verify the full series, cell volume, serial number and drawings.

Can mechanical-cell parts be used in Column, REFLUX RFC and coarseAIR units?

No. They use external aeration, inclined-channel/pressure-chamber or coarse-particle designs respectively. Identify spares from their own piping, valves, tanks and project drawings.

Send the FLS Flotation Series, Cell Volume, Drawings or Spare Requirements

Provide the full series, cell volume, serial number, cell position, drawings or samples, used-part photographs, key dimensions, material and slurry conditions. These support identification, material assessment, production at certified foundries, quality control and finished-part delivery.

Equipment Brand and ModelDrawingDrawing or DimensionsCurrent MaterialPhotographs of Failed PartsTarget Service LifeOperating Conditions
Request a Quote

Or contact us directly: +86 156 3797 3199
zzx@anranst.com

Manufacturing Services in China

From Technical Assessment to Finished-Part Delivery

ANRANST provides customers worldwide with engineering assessment, production at certified foundries to the customer technical requirements, quality control and finished-part delivery for custom wear parts and industrial spares, with scope to support other custom industrial parts.

01

Drawing and Engineering Review

We review mating surfaces and interface dimensions and assess material, heat treatment and manufacturing feasibility.

02

Material and Heat-Treatment Specification

Material grades and heat-treatment processes are specified order by order, stated in the technical agreement and tracked through production.

03

Quality Control

Drawing confirmation, material and process control, production tracking, inspection and acceptance coordination.

04

Finished-Part Delivery

We coordinate manufacturing, quality confirmation, packaging and delivery of complete finished parts in a workable, closed-loop supply process.

Provide the equipment brand, complete model and serial number, part name, part number or drawing number, drawing revision, quantity, material requirements and duty. If identifiers are unavailable, send photographs and key dimensions.

Submit an Enquiry